Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.deciderscorecomparator
Class ShiftingHardPenaltyDeciderScoreComparatorFactory

    java.lang.Object
      org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
          org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
              org.drools.planner.core.localsearch.decider.deciderscorecomparator.AbstractDeciderScoreComparatorFactory
                  org.drools.planner.core.localsearch.decider.deciderscorecomparator.ShiftingHardPenaltyDeciderScoreComparatorFactory

All Implemented Interfaces:
  EventListener, DeciderScoreComparatorFactory, LocalSearchSolverPhaseLifecycleListener, SolverLifecycleListener

    public class ShiftingHardPenaltyDeciderScoreComparatorFactory

extends AbstractDeciderScoreComparatorFactory

See Also:
  `DeciderScoreComparatorFactory`

Field Summary

Fields inherited from class org.drools.planner.core.localsearch.decider.deciderscorecomparator.AbstractDeciderScoreComparatorFactory
`logger`

Constructor Summary
`ShiftingHardPenaltyDeciderScoreComparatorFactory()`

Method Summary
`Comparator<Score>` | `createDeciderScoreComparator()`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `setHardScoreActivationThreshold(int hardScoreActivationThreshold)`
`void` | `setHardWeightSurvivalRatio(double hardWeightSurvivalRatio)`
`void` | `setStartingHardWeight(int startingHardWeight)`
`void` | `setSuccessiveNoHardChangeMaximum(int successiveNoHardChangeMaximum)`
`void` | `setSuccessiveNoHardChangeMinimum(int successiveNoHardChangeMinimum)`
`void` | `setSuccessiveNoHardChangeRepetitionMultiplicand(double successiveNoHardChangeRepetitionMultiplicand)`
`void` | `stepEnded(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
`phaseEnded, stepStarted`

Methods inherited from class org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListener
`phaseEnded, stepStarted`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Constructor Detail

### ShiftingHardPenaltyDeciderScoreComparatorFactory

    public ShiftingHardPenaltyDeciderScoreComparatorFactory()

Method Detail

### setHardScoreActivationThreshold

    public void setHardScoreActivationThreshold(int hardScoreActivationThreshold)

### setSuccessiveNoHardChangeMinimum

    public void setSuccessiveNoHardChangeMinimum(int successiveNoHardChangeMinimum)

### setSuccessiveNoHardChangeMaximum

    public void setSuccessiveNoHardChangeMaximum(int successiveNoHardChangeMaximum)

### setSuccessiveNoHardChangeRepetitionMultiplicand

    public void setSuccessiveNoHardChangeRepetitionMultiplicand(double successiveNoHardChangeRepetitionMultiplicand)

### setHardWeightSurvivalRatio

    public void setHardWeightSurvivalRatio(double hardWeightSurvivalRatio)

### setStartingHardWeight

    public void setStartingHardWeight(int startingHardWeight)

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### stepEnded

    public void stepEnded(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepEnded` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `stepEnded` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### createDeciderScoreComparator

    public Comparator<Score> createDeciderScoreComparator()

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.